# Class JsonOutputter

java.lang.Object
org.apache.zookeeper.server.admin.JsonOutputter

All Implemented Interfaces:
  `CommandOutputter`

public class JsonOutputter extends Object implements CommandOutputter

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ERROR_RESPONSE`

## Constructor Summary

Constructors
Constructor
Description
`JsonOutputter(String clientIP)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
The MIME type of this output (e.g., "application/json")
`void`
`output(CommandResponse response, PrintWriter pw)`
Print out data as output

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface CommandOutputter

`output`

## Field Details

### ERROR_RESPONSE

public static final String ERROR_RESPONSE

See Also:
  - Constant Field Values

## Constructor Details

### JsonOutputter

public JsonOutputter(String clientIP)

## Method Details

### getContentType

public String getContentType()
Description copied from interface: `CommandOutputter`
The MIME type of this output (e.g., "application/json")

Specified by:
  `getContentType` in interface `CommandOutputter`

### output

public void output(CommandResponse response, PrintWriter pw)
Description copied from interface: `CommandOutputter`
Print out data as output

Specified by:
  `output` in interface `CommandOutputter`